#include <hex/api/content_registry.hpp>
#include <hex/api/localization.hpp>

namespace hex::plugin::builtin {

    void registerLanguageZhCN() {
        ContentRegistry::Language::registerLanguage("Chinese (Simplified)", "zh-CN");

        ContentRegistry::Language::addLocalizations("zh-CN", {
                { "hex.builtin.welcome.header.main", "欢迎来到ImHex" },
                { "hex.builtin.welcome.header.start", "开始" },
                    { "hex.builtin.welcome.start.create_file", "创建新文件" },
                    { "hex.builtin.welcome.start.open_file", "打开文件" },
                    { "hex.builtin.welcome.start.open_project", "打开工程" },
                    { "hex.builtin.welcome.start.recent", "最近文件" },
                    { "hex.builtin.welcome.start.open_other", "其他提供器" },
                { "hex.builtin.welcome.header.help", "帮助" },
                    { "hex.builtin.welcome.help.repo", "GitHub仓库" },
                        { "hex.builtin.welcome.help.repo.link", "https://imhex.werwolv.net/git" },
                    { "hex.builtin.welcome.help.gethelp", "获得帮助" },
                        { "hex.builtin.welcome.help.gethelp.link", "https://github.com/WerWolv/ImHex/discussions/categories/get-help" },
                    { "hex.builtin.welcome.help.discord", "Discord服务器" },
                        { "hex.builtin.welcome.help.discord.link", "https://imhex.werwolv.net/discord" },
                { "hex.builtin.welcome.header.plugins", "已加载插件" },
                    { "hex.builtin.welcome.plugins.plugin", "插件" },
                    { "hex.builtin.welcome.plugins.author", "作者" },
                    { "hex.builtin.welcome.plugins.desc", "描述" },
                { "hex.builtin.welcome.header.customize", "自定义" },
                    { "hex.builtin.welcome.customize.settings.title", "设置" },
                    { "hex.builtin.welcome.customize.settings.desc", "更改ImHex的设置" },
                { "hex.builtin.welcome.header.update", "更新" },
                    { "hex.builtin.welcome.update.title", "新的更新可用！" },
                    { "hex.builtin.welcome.update.desc", "ImHex {0} 已发布！在这里下载。" },
                    { "hex.builtin.welcome.update.link", "https://github.com/WerWolv/ImHex/releases/latest" },
                { "hex.builtin.welcome.header.learn", "学习" },
                    { "hex.builtin.welcome.learn.latest.title", "最新版本" },
                    { "hex.builtin.welcome.learn.latest.desc", "阅读ImHex最新版本的更改日志" },
                    { "hex.builtin.welcome.learn.latest.link", "https://github.com/WerWolv/ImHex/releases/latest" },
                    { "hex.builtin.welcome.learn.pattern.title", "模式文档" },
                    { "hex.builtin.welcome.learn.pattern.desc", "如何基于我们完善的文档编写ImHex模式" },
                    { "hex.builtin.welcome.learn.pattern.link", "https://imhex.werwolv.net/docs/pattern_language/pattern_language.html" },
                    { "hex.builtin.welcome.learn.plugins.title", "插件API" },
                    { "hex.builtin.welcome.learn.plugins.desc", "通过插件扩展ImHex获得更多功能" },
                    { "hex.builtin.welcome.learn.plugins.link", "https://github.com/WerWolv/ImHex/wiki/Plugins-Development-Guide" },
                { "hex.builtin.welcome.header.various", "杂项" },
                { "hex.builtin.welcome.tip_of_the_day", "小提示" },

                { "hex.builtin.welcome.safety_backup.title", "恢复丢失数据" },
                { "hex.builtin.welcome.safety_backup.desc", "不！ImHex上次崩溃了\n你想恢复你之前的工作吗？"},
                { "hex.builtin.welcome.safety_backup.restore", "恢复" },
                { "hex.builtin.welcome.safety_backup.delete", "删除" },

                { "hex.builtin.common.endian", "端序" },
                { "hex.builtin.common.little_endian", "小端序" },
                { "hex.builtin.common.big_endian", "大端序" },
                { "hex.builtin.common.little", "小" },
                { "hex.builtin.common.big", "大" },
                //{ "hex.builtin.common.number_format", "Format" },
                { "hex.builtin.common.decimal", "十进制" },
                { "hex.builtin.common.hexadecimal", "十六进制" },
                { "hex.builtin.common.octal", "八进制" },
                { "hex.builtin.common.info", "信息" },
                { "hex.builtin.common.error", "错误" },
                { "hex.builtin.common.fatal", "致命错误" },
                { "hex.builtin.common.question", "问题" },
                { "hex.builtin.common.address", "地址" },
                { "hex.builtin.common.size", "大小" },
                { "hex.builtin.common.region", "区域" },
                { "hex.builtin.common.match_selection", "匹配选择" },
                { "hex.builtin.common.yes", "是" },
                { "hex.builtin.common.no", "否" },
                { "hex.builtin.common.okay", "好的" },
                { "hex.builtin.common.load", "加载" },
                { "hex.builtin.common.cancel", "取消" },
                { "hex.builtin.common.set", "设置" },
                { "hex.builtin.common.close", "关闭文件" },
                { "hex.builtin.common.dont_show_again", "不要再次显示" },
                { "hex.builtin.common.link", "链接" },
                { "hex.builtin.common.file", "文件" },
                { "hex.builtin.common.open", "打开" },
                { "hex.builtin.common.browse", "浏览..." },
                { "hex.builtin.common.choose_file", "选择文件" },

                { "hex.builtin.message.file_handler_failed", "通过注册的文件处理器打开文件失败。" },

                { "hex.builtin.menu.file", "文件" },
                { "hex.builtin.menu.edit", "编辑" },
                { "hex.builtin.menu.view", "视图" },
                { "hex.builtin.menu.layout", "布局" },
                    { "hex.builtin.menu.view.fps", "显示FPS" },
                    { "hex.builtin.menu.view.demo", "显示ImGui演示" },
                { "hex.builtin.menu.help", "帮助" },

                { "hex.builtin.view.bookmarks.name", "书签" },
                    { "hex.builtin.view.bookmarks.default_title", "书签 [0x{0:X} - 0x{1:X}]" },
                    { "hex.builtin.view.bookmarks.no_bookmarks", "空空如也。通过 编辑->添加书签" },
                    { "hex.builtin.view.bookmarks.title.info", "信息" },
                    { "hex.builtin.view.bookmarks.address", "0x{0:X} : 0x{1:X} ({2} 字节)" },
                    { "hex.builtin.view.bookmarks.button.jump", "转到" },
                    { "hex.builtin.view.bookmarks.button.remove", "移除" },
                    { "hex.builtin.view.bookmarks.header.name", "名称" },
                    { "hex.builtin.view.bookmarks.header.color", "颜色" },
                    { "hex.builtin.view.bookmarks.header.comment", "注释" },

                { "hex.builtin.view.command_palette.name", "命令栏" },

                { "hex.builtin.view.data_inspector.name", "数据分析器" },
                    { "hex.builtin.view.data_inspector.table.name", "名称" },
                    { "hex.builtin.view.data_inspector.table.value", "值" },
                    { "hex.builtin.view.data_inspector.no_data", "没有选中字节"},

                { "hex.builtin.view.data_processor.name", "数据处理器" },
                    { "hex.builtin.view.data_processor.help_text", "右键以添加新的节点" },
                    { "hex.builtin.view.data_processor.menu.remove_selection", "移除已选" },
                    { "hex.builtin.view.data_processor.menu.remove_node", "移除节点" },
                    { "hex.builtin.view.data_processor.menu.remove_link", "移除链接" },
                    { "hex.builtin.view.data_processor.menu.file.load_processor", "加载数据处理器..." },
                    { "hex.builtin.view.data_processor.menu.file.save_processor", "保存数据处理器..." },

                { "hex.builtin.view.disassembler.name", "反汇编" },
                    { "hex.builtin.view.disassembler.position", "位置" },
                    { "hex.builtin.view.disassembler.base", "基地址" },
                    { "hex.builtin.view.disassembler.region", "代码范围" },
                    { "hex.builtin.view.disassembler.settings.header", "设置" },
                    { "hex.builtin.view.disassembler.arch", "架构" },
                        { "hex.builtin.view.disassembler.16bit", "16位" },
                        { "hex.builtin.view.disassembler.32bit", "32位" },
                        { "hex.builtin.view.disassembler.64bit", "64位" },

                        { "hex.builtin.view.disassembler.arm.arm", "ARM" },
                        { "hex.builtin.view.disassembler.arm.thumb", "Thumb" },
                        { "hex.builtin.view.disassembler.arm.default", "默认" },
                        { "hex.builtin.view.disassembler.arm.cortex_m", "Cortex-M" },
                        { "hex.builtin.view.disassembler.arm.armv8", "ARMv8" },

                        { "hex.builtin.view.disassembler.mips.mips32", "MIPS32" },
                        { "hex.builtin.view.disassembler.mips.mips64", "MIPS64" },
                        { "hex.builtin.view.disassembler.mips.mips32R6", "MIPS32R6" },
                        { "hex.builtin.view.disassembler.mips.mips2", "MIPS II" },
                        { "hex.builtin.view.disassembler.mips.mips3", "MIPS III" },
                        { "hex.builtin.view.disassembler.mips.micro", "Micro MIPS" },

                        { "hex.builtin.view.disassembler.ppc.qpx", "PowerPC四核处理扩展（QPX）" },
                        { "hex.builtin.view.disassembler.ppc.spe", "PowerPC单核引擎（SPE）" },
                        { "hex.builtin.view.disassembler.ppc.booke", "PowerPC Book-E" },

                        { "hex.builtin.view.disassembler.sparc.v9", "Sparc V9" },

                        { "hex.builtin.view.disassembler.riscv.compressed", "压缩的RISC-V" },

                        { "hex.builtin.view.disassembler.m68k.000", "000" },
                        { "hex.builtin.view.disassembler.m68k.010", "010" },
                        { "hex.builtin.view.disassembler.m68k.020", "020" },
                        { "hex.builtin.view.disassembler.m68k.030", "030" },
                        { "hex.builtin.view.disassembler.m68k.040", "040" },
                        { "hex.builtin.view.disassembler.m68k.060", "060" },

                        { "hex.builtin.view.disassembler.m680x.6301", "6301" },
                        { "hex.builtin.view.disassembler.m680x.6309", "6309" },
                        { "hex.builtin.view.disassembler.m680x.6800", "6800" },
                        { "hex.builtin.view.disassembler.m680x.6801", "6801" },
                        { "hex.builtin.view.disassembler.m680x.6805", "6805" },
                        { "hex.builtin.view.disassembler.m680x.6808", "6808" },
                        { "hex.builtin.view.disassembler.m680x.6809", "6809" },
                        { "hex.builtin.view.disassembler.m680x.6811", "6811" },
                        { "hex.builtin.view.disassembler.m680x.cpu12", "CPU12" },
                        { "hex.builtin.view.disassembler.m680x.hcs08", "HCS08" },

                        { "hex.builtin.view.disassembler.mos65xx.6502", "6502" },
                        { "hex.builtin.view.disassembler.mos65xx.65c02", "65C02" },
                        { "hex.builtin.view.disassembler.mos65xx.w65c02", "W65C02" },
                        { "hex.builtin.view.disassembler.mos65xx.65816", "65816" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_m", "65816 Long M" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_x", "65816 Long X" },
                        { "hex.builtin.view.disassembler.mos65xx.65816_long_mx", "65816 Long MX" },

                        { "hex.builtin.view.disassembler.bpf.classic", "传统BPF（cBPF）" },
                        { "hex.builtin.view.disassembler.bpf.extended", "扩展BPF（eBPF）" },

                    { "hex.builtin.view.disassembler.disassemble", "反汇编" },
                    { "hex.builtin.view.disassembler.disassembling", "反汇编中..." },
                    { "hex.builtin.view.disassembler.disassembly.title", "反汇编" },
                        { "hex.builtin.view.disassembler.disassembly.address", "地址" },
                        { "hex.builtin.view.disassembler.disassembly.offset", "偏移" },
                        { "hex.builtin.view.disassembler.disassembly.bytes", "字节" },

                { "hex.builtin.view.hashes.name", "哈希" },
                    { "hex.builtin.view.hashes.settings", "设置" },
                    { "hex.builtin.view.hashes.function", "哈希函数" },
                    { "hex.builtin.view.hashes.iv", "初始值" },
                    { "hex.builtin.view.hashes.poly", "多项式" },
                    { "hex.builtin.view.hashes.result", "结果" },

                { "hex.builtin.view.help.name", "帮助" },
                    { "hex.builtin.view.help.about.name", "关于" },
                        { "hex.builtin.view.help.about.translator", "由xtexChooser翻译" },
                        { "hex.builtin.view.help.about.source", "源代码位于GitHub：" },
                        { "hex.builtin.view.help.about.donations", "赞助" },
                        { "hex.builtin.view.help.about.thanks", "如果你喜欢我的工作，请赞助以帮助此项目继续前进。非常感谢 <3" },
                        { "hex.builtin.view.help.about.contributor", "贡献者" },
                        { "hex.builtin.view.help.about.libs", "使用的库" },
                        { "hex.builtin.view.help.about.paths", "ImHex目录" },
                        { "hex.builtin.view.help.about.license", "许可证" },
                    { "hex.builtin.view.help.documentation", "ImHex文档" },
                    { "hex.builtin.view.help.pattern_cheat_sheet", "模式语言帮助"},
                    { "hex.builtin.view.help.calc_cheat_sheet", "计算器帮助" },

                { "hex.builtin.view.hex_editor.name", "Hex编辑器" },
                    { "hex.builtin.view.hex_editor.create_file", "新建" },
                    { "hex.builtin.view.hex_editor.open_file", "打开" },
                    { "hex.builtin.view.hex_editor.open_project", "打开项目" },
                    { "hex.builtin.view.hex_editor.save_project", "保存项目" },
                    { "hex.builtin.view.hex_editor.save_data", "保存数据" },
                    { "hex.builtin.view.hex_editor.open_base64", "打开Base64文件" },
                    { "hex.builtin.view.hex_editor.load_enconding_file", "加载自定义编码定义文件" },
                    { "hex.builtin.view.hex_editor.page", "页 {0} / {1}" },
                    { "hex.builtin.view.hex_editor.save_as", "另存为" },
                    { "hex.builtin.view.hex_editor.exit_application.title", "退出？" },
                    { "hex.builtin.view.hex_editor.exit_application.desc", "工程还有为保存的更改。\n确定要退出吗？" },
                    { "hex.builtin.view.hex_editor.script.title", "通过加载器脚本加载文件" },
                    { "hex.builtin.view.hex_editor.script.desc", "通过Python加载器脚本加载文件。" },
                    { "hex.builtin.view.hex_editor.script.script", "脚本" },
                        { "hex.builtin.view.hex_editor.script.script.title", "加载器脚本：打开脚本" },
                    { "hex.builtin.view.hex_editor.script.file", "文件" },
                    { "hex.builtin.view.hex_editor.script.file.title", "加载器脚本：打开文件" },
                    { "hex.builtin.view.hex_editor.processing", "导入 / 导出" },

                    { "hex.builtin.view.hex_editor.menu.file.open_file", "打开文件..." },
                    { "hex.builtin.view.hex_editor.menu.file.open_recent", "打开最近" },
                    { "hex.builtin.view.hex_editor.menu.file.clear_recent", "清除" },
                    { "hex.builtin.view.hex_editor.menu.file.open_other", "打开其他..." },
                    { "hex.builtin.view.hex_editor.menu.file.save", "保存" },
                    { "hex.builtin.view.hex_editor.menu.file.save_as", "另存为..." },
                    { "hex.builtin.view.hex_editor.menu.file.close", "关闭" },
                    { "hex.builtin.view.hex_editor.menu.file.quit", "退出ImHex" },
                    { "hex.builtin.view.hex_editor.menu.file.open_project", "打开项目..." },
                    { "hex.builtin.view.hex_editor.menu.file.save_project", "保存项目..." },
                    { "hex.builtin.view.hex_editor.menu.file.load_encoding_file", "加载自定义编码..." },
                    { "hex.builtin.view.hex_editor.menu.file.import", "导入..." },
                        { "hex.builtin.view.hex_editor.menu.file.import.base64", "Base64文件" },
                        { "hex.builtin.view.hex_editor.base64.import_error", "文件不是有效的Base64格式！" },
                        { "hex.builtin.view.hex_editor.file_open_error", "打开文件失败！" },
                        { "hex.builtin.view.hex_editor.menu.file.import.ips", "IPS补丁" },
                        { "hex.builtin.view.hex_editor.menu.file.import.ips32", "IPS32补丁" },
                        { "hex.builtin.view.hex_editor.menu.file.import.script", "带有加载器脚本的文件" },

                    { "hex.builtin.view.hex_editor.menu.file.export", "导出..." },
                        { "hex.builtin.view.hex_editor.menu.file.export.title", "导出文件" },
                        { "hex.builtin.view.hex_editor.menu.file.export.ips", "IPS补丁" },
                        { "hex.builtin.view.hex_editor.menu.file.export.ips32", "IPS32补丁" },
                    { "hex.builtin.view.hex_editor.menu.file.search", "搜索" },
                        { "hex.builtin.view.hex_editor.search.string", "字符串" },
                        { "hex.builtin.view.hex_editor.search.hex", "Hex" },
                        { "hex.builtin.view.hex_editor.search.find", "查找" },
                        { "hex.builtin.view.hex_editor.search.find_next", "查找下一个" },
                        { "hex.builtin.view.hex_editor.search.find_prev", "查找上一个" },
                    { "hex.builtin.view.hex_editor.menu.file.goto", "转到" },
                        { "hex.builtin.view.hex_editor.goto.offset.absolute", "绝对" },
                        { "hex.builtin.view.hex_editor.goto.offset.current", "当前" },
                        { "hex.builtin.view.hex_editor.goto.offset.begin", "起始" },
                        { "hex.builtin.view.hex_editor.goto.offset.end", "末尾" },
                    { "hex.builtin.view.hex_editor.error.read_only", "无法获得写权限，文件以只读方式打开。" },
                    { "hex.builtin.view.hex_editor.error.open", "打开文件失败！" },
                    { "hex.builtin.view.hex_editor.error.create", "创建新文件失败！" },
                    { "hex.builtin.view.hex_editor.menu.edit.undo", "撤销" },
                    { "hex.builtin.view.hex_editor.menu.edit.redo", "重做" },
                    { "hex.builtin.view.hex_editor.menu.edit.copy", "复制" },
                    { "hex.builtin.view.hex_editor.menu.edit.copy_as", "复制为..." },
                        { "hex.builtin.view.hex_editor.copy.hex", "字符串" },
                        { "hex.builtin.view.hex_editor.copy.c", "C数组" },
                        { "hex.builtin.view.hex_editor.copy.cpp", "C++数组" },
                        { "hex.builtin.view.hex_editor.copy.csharp", "C#数组" },
                        { "hex.builtin.view.hex_editor.copy.rust", "Rust数组" },
                        { "hex.builtin.view.hex_editor.copy.python", "Python数组" },
                        { "hex.builtin.view.hex_editor.copy.java", "Java数组" },
                        { "hex.builtin.view.hex_editor.copy.js", "JavaScript数组" },
                        { "hex.builtin.view.hex_editor.copy.ascii", "ASCII Art" },
                        { "hex.builtin.view.hex_editor.copy.html", "HTML" },
                    { "hex.builtin.view.hex_editor.menu.edit.paste", "粘贴" },
                    { "hex.builtin.view.hex_editor.menu.edit.select_all", "全选" },
                    { "hex.builtin.view.hex_editor.menu.edit.bookmark", "添加书签" },
                    { "hex.builtin.view.hex_editor.menu.edit.set_base", "设置基地址" },
                    { "hex.builtin.view.hex_editor.menu.edit.resize", "修改大小..." },
                    { "hex.builtin.view.hex_editor.menu.edit.insert", "插入..." },

                { "hex.builtin.view.information.name", "数据信息" },
                    { "hex.builtin.view.information.control", "控制" },
                    { "hex.builtin.view.information.analyze", "分析" },
                    { "hex.builtin.view.information.analyzing", "分析中..." },
                    { "hex.builtin.view.information.region", "已分析区域" },
                    { "hex.builtin.view.information.magic", "魔术信息" },
                    { "hex.builtin.view.information.description", "描述:" },
                    { "hex.builtin.view.information.mime", "MIME类型:" },
                    { "hex.builtin.view.information.info_analysis", "信息分析" },
                    { "hex.builtin.view.information.distribution", "字节分布" },
                    { "hex.builtin.view.information.entropy", "熵" },
                    { "hex.builtin.view.information.block_size", "块大小" },
                    { "hex.builtin.view.information.block_size.desc", "{0} 块 × {1} 字节" },
                    { "hex.builtin.view.information.file_entropy", "文件熵" },
                    { "hex.builtin.view.information.highest_entropy", "最高熵" },
                    { "hex.builtin.view.information.encrypted", "此数据似乎经过了加密或压缩！" },
                    { "hex.builtin.view.information.magic_db_added", "魔术数据库已添加！" },

                { "hex.builtin.view.patches.name", "补丁" },
                    { "hex.builtin.view.patches.offset", "偏移" },
                    { "hex.builtin.view.patches.orig", "原始值" },
                    { "hex.builtin.view.patches.patch", "修改值"},
                    { "hex.builtin.view.patches.remove", "移除补丁" },

                { "hex.builtin.view.pattern_editor.name", "模式编辑器" },
                { "hex.builtin.view.pattern_editor.accept_pattern", "接受模式" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.desc", "一个或多个模式与所找到的数据类型兼容" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.pattern_language", "模式" },
                    { "hex.builtin.view.pattern_editor.accept_pattern.question", "是否应用找到的模式？" },
                { "hex.builtin.view.pattern_editor.menu.file.load_pattern", "加载模式文件..." },
                { "hex.builtin.view.pattern_editor.menu.file.save_pattern", "保存模式文件..." },
                { "hex.builtin.view.pattern_editor.open_pattern", "打开模式" },
                { "hex.builtin.view.pattern_editor.evaluating", "计算中..." },
                { "hex.builtin.view.pattern_editor.auto", "自动计算" },
                { "hex.builtin.view.pattern_editor.console", "控制台" },
                { "hex.builtin.view.pattern_editor.env_vars", "环境变量" },
                { "hex.builtin.view.pattern_editor.settings", "设置" },
                { "hex.builtin.view.pattern_editor.dangerous_function.name", "允许危险的函数？" },
                { "hex.builtin.view.pattern_editor.dangerous_function.desc", "此模式试图调用一个危险的函数。\n你确定要信任此模式吗？" },
                { "hex.builtin.view.pattern_editor.no_in_out_vars", "使用 'in' 或 'out' 修饰符定义一些全局变量，以使它们出现在这里。" },

                { "hex.builtin.view.pattern_data.name", "模式数据" },
                    { "hex.builtin.view.pattern_data.var_name", "名称" },
                    { "hex.builtin.view.pattern_data.color", "颜色" },
                    { "hex.builtin.view.pattern_data.offset", "偏移" },
                    { "hex.builtin.view.pattern_data.size", "大小" },
                    { "hex.builtin.view.pattern_data.type", "类型" },
                    { "hex.builtin.view.pattern_data.value", "值" },

                { "hex.builtin.view.settings.name", "设置" },
                    { "hex.builtin.view.settings.restart_question", "一项更改需要重启ImHex以生效，您想要现在重启吗？" },

                { "hex.builtin.view.strings.name", "字符串" },
                    { "hex.builtin.view.strings.copy", "复制字符串" },
                    { "hex.builtin.view.strings.demangle", "还原" },
                    { "hex.builtin.view.strings.min_length", "最小长度" },
                    { "hex.builtin.view.strings.filter", "过滤" },
                    { "hex.builtin.view.strings.extract", "提取" },
                    { "hex.builtin.view.strings.searching", "搜索中..." },
                    { "hex.builtin.view.strings.offset", "偏移" },
                    { "hex.builtin.view.strings.size", "大小" },
                    { "hex.builtin.view.strings.string", "字符串" },
                    { "hex.builtin.view.strings.demangle.title", "还原名" },
                    { "hex.builtin.view.strings.demangle.copy", "复制" },

                { "hex.builtin.view.tools.name", "工具" },

                { "hex.builtin.view.yara.name", "Yara规则" },
                    { "hex.builtin.view.yara.header.rules", "规则" },
                        { "hex.builtin.view.yara.reload", "重新加载" },
                        { "hex.builtin.view.yara.match", "匹配规则" },
                        { "hex.builtin.view.yara.matching", "匹配中..." },
                        { "hex.builtin.view.yara.error", "Yara编译器错误: " },
                    { "hex.builtin.view.yara.header.matches", "匹配" },
                        { "hex.builtin.view.yara.matches.identifier", "标识符" },
                        { "hex.builtin.view.yara.matches.variable", "变量" },
                        { "hex.builtin.view.yara.whole_data", "全文件匹配！" },
                        { "hex.builtin.view.yara.no_rules", "没有找到Yara规则。请将规则放到ImHex的'yara'目录下。" },
                    { "hex.builtin.view.yara.rule_added", "Yara规则已添加！" },

                { "hex.builtin.view.constants.name", "常量" },
                    { "hex.builtin.view.constants.row.category", "分类" },
                    { "hex.builtin.view.constants.row.name", "名称" },
                    { "hex.builtin.view.constants.row.desc", "描述" },
                    { "hex.builtin.view.constants.row.value", "值" },

                { "hex.builtin.view.store.name", "内容仓库" },
                    { "hex.builtin.view.store.desc", "从ImHex在线数据库下载新内容" },
                    { "hex.builtin.view.store.reload", "刷新" },
                    { "hex.builtin.view.store.row.name", "名称" },
                    { "hex.builtin.view.store.row.description", "描述" },
                    { "hex.builtin.view.store.download", "下载" },
                    { "hex.builtin.view.store.update", "更新" },
                    { "hex.builtin.view.store.remove", "移除" },
                    { "hex.builtin.view.store.tab.patterns", "模式" },
                    { "hex.builtin.view.store.tab.libraries", "库" },
                    { "hex.builtin.view.store.tab.magics", "魔术数据库" },
                    { "hex.builtin.view.store.tab.constants", "常量" },
                    { "hex.builtin.view.store.tab.yara", "Yara规则" },
                    { "hex.builtin.view.store.tab.encodings", "编码" },
                    { "hex.builtin.view.store.loading", "正在加载仓库内容..." },
                    { "hex.builtin.view.store.download_error", "下载文件失败！目标文件夹不存在。" },

                { "hex.builtin.view.diff.name", "差异" },

                { "hex.builtin.view.provider_settings.name", "提供器设置" },
                    { "hex.builtin.view.provider_settings.load_popup", "打开提供器" },

                { "hex.builtin.command.calc.desc", "计算器" },
                { "hex.builtin.command.cmd.desc", "指令" },
                { "hex.builtin.command.cmd.result", "运行指令 '{0}'" },
                { "hex.builtin.command.web.desc", "网站解析" },
                { "hex.builtin.command.web.result", "导航到 '{0}'" },

                // Use half width symbols for inspector names because displayable space
                { "hex.builtin.inspector.binary", "二进制(8位)" },
                { "hex.builtin.inspector.u8", "uint8_t" },
                { "hex.builtin.inspector.i8", "int8_t" },
                { "hex.builtin.inspector.u16", "uint16_t" },
                { "hex.builtin.inspector.i16", "int16_t" },
                { "hex.builtin.inspector.u32", "uint32_t" },
                { "hex.builtin.inspector.i32", "int32_t" },
                { "hex.builtin.inspector.u64", "uint64_t" },
                { "hex.builtin.inspector.i64", "int64_t" },
                { "hex.builtin.inspector.float16", "半浮点(16位)" },
                { "hex.builtin.inspector.float", "float(32位单精度浮点)" },
                { "hex.builtin.inspector.double", "double(64位双精度浮点)" },
                { "hex.builtin.inspector.long_double", "long double(128位双精度浮点)" },
                { "hex.builtin.inspector.ascii", "ASCII字符" },
                { "hex.builtin.inspector.wide", "宽字符" },
                { "hex.builtin.inspector.utf8", "UTF-8代码点" },
                { "hex.builtin.inspector.string", "字符串" },
                { "hex.builtin.inspector.time32", "time32_t" },
                { "hex.builtin.inspector.time64", "time64_t" },
                { "hex.builtin.inspector.time", "time_t" },
                { "hex.builtin.inspector.guid", "GUID" },
                { "hex.builtin.inspector.rgba8", "RGBA8颜色" },

                { "hex.builtin.nodes.common.input", "输入" },
                { "hex.builtin.nodes.common.input.a", "输入A" },
                { "hex.builtin.nodes.common.input.b", "输入B" },
                { "hex.builtin.nodes.common.output", "输出" },

                { "hex.builtin.nodes.constants", "常量" },
                    { "hex.builtin.nodes.constants.int", "整数" },
                        { "hex.builtin.nodes.constants.int.header", "整数" },
                    { "hex.builtin.nodes.constants.float", "浮点数" },
                        { "hex.builtin.nodes.constants.float.header", "浮点数" },
                    { "hex.builtin.nodes.constants.nullptr", "空指针" },
                        { "hex.builtin.nodes.constants.nullptr.header", "空指针" },
                    { "hex.builtin.nodes.constants.buffer", "缓冲区" },
                        { "hex.builtin.nodes.constants.buffer.header", "缓冲区" },
                        { "hex.builtin.nodes.constants.buffer.size", "大小" },
                    { "hex.builtin.nodes.constants.string", "字符串" },
                        { "hex.builtin.nodes.constants.string.header", "字符串" },
                    { "hex.builtin.nodes.constants.rgba8", "RGBA8颜色" },
                        { "hex.builtin.nodes.constants.rgba8.header", "RGBA8颜色" },
                        { "hex.builtin.nodes.constants.rgba8.output.r", "红" },
                        { "hex.builtin.nodes.constants.rgba8.output.g", "绿" },
                        { "hex.builtin.nodes.constants.rgba8.output.b", "蓝" },
                        { "hex.builtin.nodes.constants.rgba8.output.a", "透明" },
                    { "hex.builtin.nodes.constants.comment", "注释" },
                        { "hex.builtin.nodes.constants.comment.header", "注释" },

                { "hex.builtin.nodes.display", "显示" },
                    { "hex.builtin.nodes.display.int", "整数" },
                        { "hex.builtin.nodes.display.int.header", "整数显示" },
                    { "hex.builtin.nodes.display.float", "浮点数" },
                        { "hex.builtin.nodes.display.float.header", "浮点数显示" },

                { "hex.builtin.nodes.data_access", "数据访问" },
                    { "hex.builtin.nodes.data_access.read", "读取" },
                        { "hex.builtin.nodes.data_access.read.header", "读取" },
                        { "hex.builtin.nodes.data_access.read.address", "地址" },
                        { "hex.builtin.nodes.data_access.read.size", "大小" },
                        { "hex.builtin.nodes.data_access.read.data", "数据" },
                    { "hex.builtin.nodes.data_access.write", "写入" },
                        { "hex.builtin.nodes.data_access.write.header", "写入" },
                        { "hex.builtin.nodes.data_access.write.address", "地址" },
                        { "hex.builtin.nodes.data_access.write.data", "数据" },
                    { "hex.builtin.nodes.data_access.size", "数据大小"},
                        { "hex.builtin.nodes.data_access.size.header", "数据大小"},
                        { "hex.builtin.nodes.data_access.size.size", "大小"},
                    { "hex.builtin.nodes.data_access.selection", "已选中区域"},
                        { "hex.builtin.nodes.data_access.selection.header", "已选中区域"},
                        { "hex.builtin.nodes.data_access.selection.address", "地址"},
                        { "hex.builtin.nodes.data_access.selection.size", "大小"},

                { "hex.builtin.nodes.casting", "数据转换" },
                    { "hex.builtin.nodes.casting.int_to_buffer", "整数到缓冲区" },
                        { "hex.builtin.nodes.casting.int_to_buffer.header", "整数到缓冲区" },
                { "hex.builtin.nodes.casting.buffer_to_int", "缓冲区到整数" },
                        { "hex.builtin.nodes.casting.buffer_to_int.header", "缓冲区到整数" },

                { "hex.builtin.nodes.arithmetic", "运算" },
                    { "hex.builtin.nodes.arithmetic.add", "加法" },
                        { "hex.builtin.nodes.arithmetic.add.header", "加法" },
                    { "hex.builtin.nodes.arithmetic.sub", "减法" },
                        { "hex.builtin.nodes.arithmetic.sub.header", "减法" },
                    { "hex.builtin.nodes.arithmetic.mul", "乘法" },
                        { "hex.builtin.nodes.arithmetic.mul.header", "乘法" },
                    { "hex.builtin.nodes.arithmetic.div", "除法" },
                        { "hex.builtin.nodes.arithmetic.div.header", "除法" },
                    { "hex.builtin.nodes.arithmetic.mod", "模数" },
                        { "hex.builtin.nodes.arithmetic.mod.header", "模数" },

                { "hex.builtin.nodes.buffer", "缓冲区" },
                    { "hex.builtin.nodes.buffer.combine", "组合" },
                        { "hex.builtin.nodes.buffer.combine.header", "缓冲区组合" },
                    { "hex.builtin.nodes.buffer.slice", "切片" },
                        { "hex.builtin.nodes.buffer.slice.header", "缓冲区切片" },
                        { "hex.builtin.nodes.buffer.slice.input.buffer", "输入" },
                        { "hex.builtin.nodes.buffer.slice.input.from", "从" },
                        { "hex.builtin.nodes.buffer.slice.input.to", "到" },
                    { "hex.builtin.nodes.buffer.repeat", "重复" },
                        { "hex.builtin.nodes.buffer.repeat.header", "缓冲区重复" },
                        { "hex.builtin.nodes.buffer.repeat.input.buffer", "输入" },
                        { "hex.builtin.nodes.buffer.repeat.input.count", "次数" },

                { "hex.builtin.nodes.control_flow", "控制流" },
                    { "hex.builtin.nodes.control_flow.if", "如果" },
                        { "hex.builtin.nodes.control_flow.if.header", "如果" },
                        { "hex.builtin.nodes.control_flow.if.condition", "条件" },
                        { "hex.builtin.nodes.control_flow.if.true", "True" },
                        { "hex.builtin.nodes.control_flow.if.false", "False" },
                    { "hex.builtin.nodes.control_flow.equals", "等于" },
                        { "hex.builtin.nodes.control_flow.equals.header", "等于" },
                    { "hex.builtin.nodes.control_flow.not", "取反" },
                        { "hex.builtin.nodes.control_flow.not.header", "取反" },
                    { "hex.builtin.nodes.control_flow.gt", "大于" },
                        { "hex.builtin.nodes.control_flow.gt.header", "大于" },
                    { "hex.builtin.nodes.control_flow.lt", "小于" },
                        { "hex.builtin.nodes.control_flow.lt.header", "小于" },
                    { "hex.builtin.nodes.control_flow.and", "与" },
                        { "hex.builtin.nodes.control_flow.and.header", "逻辑与" },
                    { "hex.builtin.nodes.control_flow.or", "或" },
                        { "hex.builtin.nodes.control_flow.or.header", "逻辑或" },

                { "hex.builtin.nodes.bitwise", "按位操作" },
                    { "hex.builtin.nodes.bitwise.and", "与" },
                        { "hex.builtin.nodes.bitwise.and.header", "位与" },
                    { "hex.builtin.nodes.bitwise.or", "或" },
                        { "hex.builtin.nodes.bitwise.or.header", "位或" },
                    { "hex.builtin.nodes.bitwise.xor", "异或" },
                        { "hex.builtin.nodes.bitwise.xor.header", "按位异或" },
                    { "hex.builtin.nodes.bitwise.not", "取反" },
                        { "hex.builtin.nodes.bitwise.not.header", "按位取反" },

                { "hex.builtin.nodes.decoding", "编码" },
                    { "hex.builtin.nodes.decoding.base64", "Base64" },
                        { "hex.builtin.nodes.decoding.base64.header", "Base64解码" },
                    { "hex.builtin.nodes.decoding.hex", "十六进制" },
                        { "hex.builtin.nodes.decoding.hex.header", "十六进制解码" },

                { "hex.builtin.nodes.crypto", "加密" },
                    { "hex.builtin.nodes.crypto.aes", "AES解密" },
                        { "hex.builtin.nodes.crypto.aes.header", "AES解密" },
                        { "hex.builtin.nodes.crypto.aes.key", "密钥" },
                        { "hex.builtin.nodes.crypto.aes.iv", "IV" },
                        { "hex.builtin.nodes.crypto.aes.nonce", "Nonce" },
                        { "hex.builtin.nodes.crypto.aes.mode", "模式" },
                        { "hex.builtin.nodes.crypto.aes.key_length", "密钥长度" },

                { "hex.builtin.nodes.visualizer", "可视化" },
                    { "hex.builtin.nodes.visualizer.digram", "图表" },
                        { "hex.builtin.nodes.visualizer.digram.header", "图表可视化" },
                    { "hex.builtin.nodes.visualizer.layered_dist", "分层布局" },
                        { "hex.builtin.nodes.visualizer.layered_dist.header", "分层布局" },
                    { "hex.builtin.nodes.visualizer.image", "图像" },
                        { "hex.builtin.nodes.visualizer.image.header", "图像可视化" },
                    { "hex.builtin.nodes.visualizer.byte_distribution", "字节分布" },
                        { "hex.builtin.nodes.visualizer.byte_distribution.header", "字节分布" },


                { "hex.builtin.tools.demangler", "Itanium/MSVC名还原" },
                    { "hex.builtin.tools.demangler.mangled", "修饰名" },
                    { "hex.builtin.tools.demangler.demangled", "还原名" },
                { "hex.builtin.tools.ascii_table", "ASCII表" },
                    { "hex.builtin.tools.ascii_table.octal", "显示八进制" },
                { "hex.builtin.tools.regex_replacer", "正则替换" },
                    { "hex.builtin.tools.regex_replacer.pattern", "正则表达式" },
                    { "hex.builtin.tools.regex_replacer.replace", "替换表达式" },
                    { "hex.builtin.tools.regex_replacer.input", "输入" },
                    { "hex.builtin.tools.regex_replacer.output", "输出" },
                { "hex.builtin.tools.color", "颜色选择器" },
                { "hex.builtin.tools.calc", "计算器" },
                    { "hex.builtin.tools.input", "输入" },
                    { "hex.builtin.tools.format.standard", "标准" },
                    { "hex.builtin.tools.format.scientific", "科学" },
                    { "hex.builtin.tools.format.engineering", "工程师" },
                    { "hex.builtin.tools.format.programmer", "程序员" },
                    { "hex.builtin.tools.error", "最后错误： '{0}'" },
                    { "hex.builtin.tools.history", "历史" },
                    { "hex.builtin.tools.name", "名称" },
                    { "hex.builtin.tools.value", "值" },
                { "hex.builtin.tools.base_converter", "基本进制转换" },
                    { "hex.builtin.tools.base_converter.dec", "DEC" },
                    { "hex.builtin.tools.base_converter.hex", "HEX" },
                    { "hex.builtin.tools.base_converter.oct", "OCT" },
                    { "hex.builtin.tools.base_converter.bin", "BIN" },
                { "hex.builtin.tools.permissions", "UNIX权限计算器" },
                    { "hex.builtin.tools.permissions.perm_bits", "权限位" },
                    { "hex.builtin.tools.permissions.absolute", "绝对符号" },
                    { "hex.builtin.tools.permissions.setuid_error", "用户必须具有 setuid 位的执行权限才能应用！" },
                    { "hex.builtin.tools.permissions.setgid_error", "组必须具有 setgid 位的执行权限才能应用！" },
                    { "hex.builtin.tools.permissions.sticky_error", "必须有执行权限才能申请粘滞位！" },
                { "hex.builtin.tools.file_uploader", "文件上传" },
                    { "hex.builtin.tools.file_uploader.control", "控制" },
                    { "hex.builtin.tools.file_uploader.upload", "上传" },
                    { "hex.builtin.tools.file_uploader.done", "完成！" },
                    { "hex.builtin.tools.file_uploader.recent", "最近上传" },
                    { "hex.builtin.tools.file_uploader.tooltip", "点击复制\n按住CTRL并点击以打开" },
                    { "hex.builtin.tools.file_uploader.invalid_response", "接收到来自Anonfiles的无效响应！" },
                    { "hex.builtin.tools.file_uploader.error", "上传文件失败！\n\n错误代码：{0}" },
                { "hex.builtin.tools.wiki_explain", "维基百科术语定义" },
                    { "hex.builtin.tools.wiki_explain.control", "控制" },
                    { "hex.builtin.tools.wiki_explain.search", "搜索" },
                    { "hex.builtin.tools.wiki_explain.results", "结果" },
                    { "hex.builtin.tools.wiki_explain.invalid_response", "接收到来自Wikipedia的无效响应！" },
                { "hex.builtin.tools.file_tools", "文件工具" },
                    { "hex.builtin.tools.file_tools.shredder", "销毁" },
                        { "hex.builtin.tools.file_tools.shredder.warning", "此工具将不可恢复地破坏文件。请谨慎使用。" },
                        { "hex.builtin.tools.file_tools.shredder.input", "目标文件 " },
                        { "hex.builtin.tools.file_tools.shredder.picker", "打开文件以销毁" },
                        { "hex.builtin.tools.file_tools.shredder.fast", "快速模式" },
                        { "hex.builtin.tools.file_tools.shredder.shredding", "销毁中..." },
                        { "hex.builtin.tools.file_tools.shredder.shred", "销毁" },
                        { "hex.builtin.tools.file_tools.shredder.error.open", "打开选择的文件失败！" },
                        { "hex.builtin.tools.file_tools.shredder.success", "文件成功销毁！" },
                    { "hex.builtin.tools.file_tools.splitter", "分割" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.5_75_floppy", "5寸软盘（1200KiB）" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.3_5_floppy", "3寸软盘（1400KiB）" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.zip100", "Zip极碟100（100MiB）" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.zip200", "Zip极碟200（200MiB）" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.cdrom650", "CD-ROM（650MiB）" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.cdrom700", "CD-ROM（700MiB）" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.fat32", "FAT32（4GiB）" },
                        { "hex.builtin.tools.file_tools.splitter.sizes.custom", "自定义" },
                        { "hex.builtin.tools.file_tools.splitter.input", "目标文件 " },
                        { "hex.builtin.tools.file_tools.splitter.picker.input", "打开文件以分割" },
                        { "hex.builtin.tools.file_tools.splitter.output", "输出路径 " },
                        { "hex.builtin.tools.file_tools.splitter.picker.output", "选择输出路径" },
                        { "hex.builtin.tools.file_tools.splitter.picker.splitting", "分割中..." },
                        { "hex.builtin.tools.file_tools.splitter.picker.split", "分割" },
                        { "hex.builtin.tools.file_tools.splitter.picker.error.open", "打开选择的文件失败！" },
                        { "hex.builtin.tools.file_tools.splitter.picker.error.size", "文件小于单分块大小" },
                        { "hex.builtin.tools.file_tools.splitter.picker.error.create", "创建分块文件 {0} 失败！" },
                        { "hex.builtin.tools.file_tools.splitter.picker.success", "文件分割成功！" },
                    { "hex.builtin.tools.file_tools.combiner", "合并" },
                        { "hex.builtin.tools.file_tools.combiner.add", "添加..." },
                        { "hex.builtin.tools.file_tools.combiner.add.picker", "添加文件" },
                        { "hex.builtin.tools.file_tools.combiner.delete", "删除" },
                        { "hex.builtin.tools.file_tools.combiner.clear", "清空" },
                        { "hex.builtin.tools.file_tools.combiner.output", "输出文件 " },
                        { "hex.builtin.tools.file_tools.combiner.output.picker", "选择输出路径" },
                        { "hex.builtin.tools.file_tools.combiner.combining", "合并中..." },
                        { "hex.builtin.tools.file_tools.combiner.combine", "合并" },
                        { "hex.builtin.tools.file_tools.combiner.error.open_output", "创建输出文件失败！" },
                        { "hex.builtin.tools.file_tools.combiner.open_input", "打开输入文件 {0} 失败" },
                        { "hex.builtin.tools.file_tools.combiner.success", "文件合并成功！" },

                { "hex.builtin.setting.imhex", "ImHex" },
                    { "hex.builtin.setting.imhex.recent_files", "最近文件" },
                { "hex.builtin.setting.general", "通用" },
                    { "hex.builtin.setting.general.show_tips", "在启动时显示每日提示" },
                    { "hex.builtin.setting.general.auto_load_patterns", "自动加载支持的模式" },
                { "hex.builtin.setting.interface", "界面" },
                    { "hex.builtin.setting.interface.color", "颜色主题" },
                        { "hex.builtin.setting.interface.color.system", "跟随系统" },
                        { "hex.builtin.setting.interface.color.dark", "暗" },
                        { "hex.builtin.setting.interface.color.light", "亮" },
                        { "hex.builtin.setting.interface.color.classic", "经典" },
                    { "hex.builtin.setting.interface.scaling", "缩放" },
                        { "hex.builtin.setting.interface.scaling.native", "本地默认" },
                        { "hex.builtin.setting.interface.scaling.x0_5", "x0.5" },
                        { "hex.builtin.setting.interface.scaling.x1_0", "x1.0" },
                        { "hex.builtin.setting.interface.scaling.x1_5", "x1.5" },
                        { "hex.builtin.setting.interface.scaling.x2_0", "x2.0" },
                    { "hex.builtin.setting.interface.language", "语言" },
                    { "hex.builtin.setting.interface.fps", "FPS限制" },
                    { "hex.builtin.setting.interface.fps.unlocked", "无限制" },
                    { "hex.builtin.setting.interface.highlight_alpha", "高亮不透明度" },
                { "hex.builtin.setting.hex_editor", "Hex编辑器" },
                    { "hex.builtin.setting.hex_editor.column_count", "字节列数" },
                    { "hex.builtin.setting.hex_editor.hexii", "显示HexII替代字节" },
                    { "hex.builtin.setting.hex_editor.ascii", "显示ASCII栏" },
                    { "hex.builtin.setting.hex_editor.advanced_decoding", "显示高级解码栏" },
                    { "hex.builtin.setting.hex_editor.grey_zeros", "显示零字节为灰色" },
                    { "hex.builtin.setting.hex_editor.uppercase_hex", "大写Hex字符" },
                    { "hex.builtin.setting.hex_editor.extra_info", "显示额外信息" },

                { "hex.builtin.setting.folders", "扩展搜索路径" },
                    { "hex.builtin.setting.folders.description", "为模式、脚本和规则等指定额外的搜索路径" },
                 // { "hex.builtin.setting.folders.add_folder", "Add new folder" },
                 // { "hex.builtin.setting.folders.remove_folder", "Remove currently selected folder from list" },
                { "hex.builtin.setting.font", "字体" },
                    { "hex.builtin.setting.font.font_path", "自定义字体路径" },
                    { "hex.builtin.setting.font.font_size", "字体大小" },

                { "hex.builtin.provider.file.path", "路径" },
                { "hex.builtin.provider.file.size", "大小" },
                { "hex.builtin.provider.file.creation", "创建时间" },
                { "hex.builtin.provider.file.access", "最后访问时间" },
                { "hex.builtin.provider.file.modification", "最后更改时间" },

                { "hex.builtin.provider.file", "文件" },
                { "hex.builtin.provider.gdb", "GDB服务器" },
                    { "hex.builtin.provider.gdb.name", "GDB服务器 <{0}:{1}>" },
                    { "hex.builtin.provider.gdb.server", "服务器" },
                    { "hex.builtin.provider.gdb.ip", "IP地址" },
                    { "hex.builtin.provider.gdb.port", "端口" },
                { "hex.builtin.provider.disk", "原始磁盘" },
                    { "hex.builtin.provider.disk.selected_disk", "磁盘" },
                    { "hex.builtin.provider.disk.disk_size", "磁盘大小" },
                    { "hex.builtin.provider.disk.sector_size", "扇区大小" },
                    { "hex.builtin.provider.disk.reload", "刷新" },

                { "hex.builtin.layouts.default", "默认" }
        });
    }

}
